import { Nullable, UUID } from './types';
export declare function $uuid(): UUID;
export declare enum HashMethod {
    SHA256 = "SHA256",
    SHA384 = "SHA384",
    SHA512 = "SHA512"
}
export declare function $encrypt(source: string, key: string | Uint8Array): string | null;
export declare function $decrypt(source: string, key: string | Uint8Array): string | null;
export declare function $hash(buf: string | Uint8Array, method?: HashMethod): string | null;
export declare function $hashfile(filePath: Nullable<string>, method?: HashMethod): Promise<string | null>;
interface PasswordOptions {
    hasLowercase?: boolean;
    hasUppercase?: boolean;
    hasNumeric?: boolean;
    hasSpecials?: boolean;
}
export declare function $random(max: number): number;
export declare function $password(len: number, opts?: PasswordOptions): string | null;
export {};
